V1 and V2Product Attributes

Delete a product attribute

DELETE
/api/v1/attributes/product/{product_attribute_id}

Deletes an attribute. An empty response and 202 code is returned upon successful call.

You are not allowed to delete any attribute used in some E-Catalog, Channel or Pdf-Catalog and a 409 CONFLICT response code will be returned and some information on where this attribue is used.

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

product_attribute_id*string

Response Body

application/json

curl -X DELETE 'https://example.com/api/v1/attributes/product/string'
Empty